#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['mat_discover',
 'mat_discover.CrabNet',
 'mat_discover.CrabNet.crabnet',
 'mat_discover.CrabNet.data',
 'mat_discover.CrabNet.data.benchmark_data',
 'mat_discover.CrabNet.data.benchmark_data.CritExam__Ed',
 'mat_discover.CrabNet.data.benchmark_data.CritExam__Ef',
 'mat_discover.CrabNet.data.benchmark_data.OQMD_Bandgap',
 'mat_discover.CrabNet.data.benchmark_data.OQMD_Energy_per_atom',
 'mat_discover.CrabNet.data.benchmark_data.OQMD_Formation_Enthalpy',
 'mat_discover.CrabNet.data.benchmark_data.OQMD_Volume_per_atom',
 'mat_discover.CrabNet.data.benchmark_data.aflow__Egap',
 'mat_discover.CrabNet.data.benchmark_data.aflow__ael_bulk_modulus_vrh',
 'mat_discover.CrabNet.data.benchmark_data.aflow__ael_debye_temperature',
 'mat_discover.CrabNet.data.benchmark_data.aflow__ael_shear_modulus_vrh',
 'mat_discover.CrabNet.data.benchmark_data.aflow__agl_thermal_conductivity_300K',
 'mat_discover.CrabNet.data.benchmark_data.aflow__agl_thermal_expansion_300K',
 'mat_discover.CrabNet.data.benchmark_data.aflow__energy_atom',
 'mat_discover.CrabNet.data.benchmark_data.mp_bulk_modulus',
 'mat_discover.CrabNet.data.benchmark_data.mp_e_hull',
 'mat_discover.CrabNet.data.benchmark_data.mp_elastic_anisotropy',
 'mat_discover.CrabNet.data.benchmark_data.mp_mu_b',
 'mat_discover.CrabNet.data.benchmark_data.mp_shear_modulus',
 'mat_discover.CrabNet.data.element_properties',
 'mat_discover.CrabNet.data.matbench',
 'mat_discover.CrabNet.data.materials_data',
 'mat_discover.CrabNet.data.materials_data.elasticity',
 'mat_discover.CrabNet.data.materials_data.example_materials_property',
 'mat_discover.ElM2D',
 'mat_discover.utils']

package_data = \
{'': ['*'],
 'mat_discover.CrabNet': ['figures/*',
                          'figures/contributions/*',
                          'figures/contributions/aflow__ael_bulk_modulus_vrh/*',
                          'figures/lc_data/*',
                          'metrics/*',
                          'metrics/rf_gridsearch/*',
                          'model_predictions/*',
                          'models/*',
                          'models/trained_models/*',
                          'utils/*'],
 'mat_discover.CrabNet.data': ['matbench_cv/*',
                               'matbench_cv/castelli/*',
                               'matbench_cv/dielectric/*',
                               'matbench_cv/elasticity_log10(G_VRH)/*',
                               'matbench_cv/elasticity_log10(K_VRH)/*',
                               'matbench_cv/expt_gap/*',
                               'matbench_cv/expt_is_metal/*',
                               'matbench_cv/glass/*',
                               'matbench_cv/jdft2d/*',
                               'matbench_cv/mp_e_form/*',
                               'matbench_cv/mp_gap/*',
                               'matbench_cv/mp_is_metal/*',
                               'matbench_cv/phonons/*',
                               'matbench_cv/steels_yield/*'],
 'mat_discover.ElM2D': ['utils/*']}

install_requires = \
['tqdm',
 'seaborn',
 'pymatgen',
 'scipy',
 'hdbscan',
 'numba>=0.53.1',
 'plotly',
 'kaleido',
 'pandas',
 'matplotlib>=3.4.3',
 'joblib',
 'pqdm',
 'ElMD==0.4.8',
 'psutil',
 'scikit_learn',
 'umap-learn']

extras_require = \
{'test': ['pytest', 'ElM2D==0.4.1', 'pytest-cov']}

setup(name='mat_discover',
      version='1.2.0',
      description='Data-driven materials discovery based on composition.',
      author=None,
      author_email='"Sterling G. Baird" <sterling.baird@utah.edu>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
     )
